libfilezilla (0.52.0-1) unstable; urgency=medium

  * New upstream version 0.52.0
  * Change soname to libfilezilla50
  * Delete redundant Rules-Requires-Root: no
  * Update to watchfile version 5

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 12 Nov 2025 20:28:33 +0100

libfilezilla (0.51.1-1) unstable; urgency=medium

  * New upstream version 0.51.1
  * Change soname to libfilezilla48
  * Upgrade copyright years
  * Upgrade Standards Version to 4.7.2 (No changes required)
  * Add libcrypt-dev to Build-Depends (Closes: #1107008)

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 12 Aug 2025 16:01:24 +0200

libfilezilla (0.49.0-2) unstable; urgency=medium

  * Source only upload to allow testing migration

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 24 Oct 2024 16:47:12 +0200

libfilezilla (0.49.0-1) unstable; urgency=medium

  * New upstream version 0.49.0
  * d/changelog: remove trailing whitespace
  * Change so-name to libfilezilla46

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 19 Oct 2024 20:53:26 +0200

libfilezilla (0.48.1-2) unstable; urgency=medium

  * Source upload to allow migration to testing

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 11 Jul 2024 22:54:59 +0200

libfilezilla (0.48.1-1) unstable; urgency=medium

  * New upstream version 0.48.1
  * Make debian/latest default branch to follow DEP-14
  * Change so-name to libfilezilla45
  * Remove substitution variable for the t64 transition
  * Update so-name in Conflicts/Replaces too

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 11 Jul 2024 02:52:41 +0200

libfilezilla (0.48.0-2) unstable; urgency=medium

  * Source upload to allow migration
  * Add myself to d/copyright

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 04 Jul 2024 13:12:12 +0200

libfilezilla (0.48.0-1) unstable; urgency=medium

  [ Andreas Rönnquist]
  * New upstream version 0.48.0
  * Don't ship .a library
  * New maintainer (Closes: #1072202)
  * Change so-name to libfilezilla44
  * Fix breaks for libfilezilla44
  * Remove lintian override for package-name-doesnt-match-sonames

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
    + Build-Depends: Drop versioned constraint on nettle-dev (>= 3.1).

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 02 Jul 2024 14:27:39 +0200

libfilezilla (0.47.0-2) unstable; urgency=medium

  * Source only upload to allow migration.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 18 Apr 2024 20:02:57 +0100

libfilezilla (0.47.0-1) unstable; urgency=medium

  * New upstream version 0.47.0.
  * Soname bump rename package to libfilezilla43.
  * 'd/control'.
    - Update 'libgnutls28-dev' required version to minimum of 3.8.4.
    - Update to standards version 4.7.0, no changes required.

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 16 Apr 2024 14:31:09 +0100

libfilezilla (0.46.0-4) unstable; urgency=medium

  * 'd/control': Add Build-Depends:
    - libzstd-dev
    - zlib1g-dev

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 11 Mar 2024 08:27:06 +0000

libfilezilla (0.46.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062292

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 11:56:25 +0000

libfilezilla (0.46.0-3) unstable; urgency=medium

  * 'd/copyright': Update year for copyright holders.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 23 Feb 2024 05:52:18 +0000

libfilezilla (0.46.0-2) unstable; urgency=medium

  * Source only upload to allow migration.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 23 Feb 2024 05:28:26 +0000

libfilezilla (0.46.0-1) unstable; urgency=medium

  * New upstream version 0.46.0.
  * Soname bump rename package to libfilezilla42.
  * 'd/control'.
    - Update 'libgnutls28-dev' required version to minimum of 3.8.3.
    - Change 'Build-Depends' from  obsolete 'pkg-config' to 'pkgconf'.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 08 Feb 2024 06:43:27 +0000

libfilezilla (0.45.0-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * d/rules: Ignore 'GNUTLS_SYSTEM_PRIORITY_FILE'.
  * Drop not required 'disable-ssl-tests.patch'.

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 28 Nov 2023 14:21:33 +0000

libfilezilla (0.45.0-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Disable tls1.0 and tls1.1 tests, deprecated. (Closes: #1055633).

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 09 Nov 2023 19:59:31 +0000

libfilezilla (0.45.0-3) unstable; urgency=medium

  * Update override to: debian-watch-does-not-check-openpgp-signature

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 08 Nov 2023 22:25:13 +0000

libfilezilla (0.45.0-2) unstable; urgency=medium

  * Source only upload for migration to testing.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 02 Nov 2023 01:28:13 +0000

libfilezilla (0.45.0-1) unstable; urgency=medium

  * New upstream 0.45.0.
  * Soname bump rename package to libfilezilla41.

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 25 Oct 2023 04:15:45 +0100

libfilezilla (0.44.0-3) unstable; urgency=medium

  * Change d/gbp.conf compression to xz.
  * Add comment to d/rules for verbose.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 28 Jul 2023 04:39:28 +0100

libfilezilla (0.44.0-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 08 Jul 2023 12:58:06 +0100

libfilezilla (0.44.0-1) unstable; urgency=medium

  * New upstream version 0.44.0
  * Soname bump rename package to libfilezilla40

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 06 Jul 2023 08:41:43 +0100

libfilezilla (0.43.0-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 13 Jun 2023 08:18:14 +0100

libfilezilla (0.43.0-1) unstable; urgency=medium

  * New upstream version 0.43.0
  * Soname bump rename package to libfilezilla39

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 11 Jun 2023 10:35:46 +0100

libfilezilla (0.42.2-1) experimental; urgency=medium

  * New upstream version 0.42.2
  * Soname bump rename package to libfilezilla38

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 29 Apr 2023 08:24:14 +0100

libfilezilla (0.42.0-1) experimental; urgency=medium

  * New upstream version 0.42.0
  * Soname bump rename package to libfilezilla36
  * d/watch: Use upstream preferred tar.xz tarball

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 21 Apr 2023 07:24:25 +0100

libfilezilla (0.41.1-1) experimental; urgency=medium

  * New upstream version 0.41.1
  * Soname bump rename package to libfilezilla35

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 24 Feb 2023 02:02:27 +0000

libfilezilla (0.41.0-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 24 Jan 2023 06:53:01 +0000

libfilezilla (0.41.0-1) unstable; urgency=medium

  * New upstream version 0.41.0
  * Soname bump rename package to libfilezilla34
    - Only additions to API in this release
    - Only consumed by filezilla, so low risk soname bump

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 12 Jan 2023 11:43:51 +0000

libfilezilla (0.40.0-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 01 Jan 2023 19:25:34 +0000

libfilezilla (0.40.0-1) unstable; urgency=medium

  * New upstream version 0.40.0
  * Soname bump rename package to libfilezilla33
  * Update Standards-Version to 4.6.2.0 - No changes required
  * Update 'copyright' year to 2023

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 01 Jan 2023 12:31:14 +0000

libfilezilla (0.39.2-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 27 Oct 2022 07:24:28 +0100

libfilezilla (0.39.2-1) unstable; urgency=medium

  * New upstream version 0.39.2
  * Apply some suggestions made by janitor
  * Soname bump rename package to libfilezilla32

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 12 Oct 2022 10:28:38 +0100

libfilezilla (0.39.1-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 22 Sep 2022 03:01:55 +0100

libfilezilla (0.39.1-1) unstable; urgency=medium

  * New upstream version 0.39.1
  * Soname bump rename package to libfilezilla31

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 20 Sep 2022 04:45:31 +0100

libfilezilla (0.39.0-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 13 Sep 2022 09:12:16 +0100

libfilezilla (0.39.0-1) unstable; urgency=medium

  * New upstream version 0.39.0
  * Soname bump rename package to libfilezilla30

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 12 Sep 2022 05:03:17 +0100

libfilezilla (0.38.1-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 24 Jul 2022 07:47:16 +0100

libfilezilla (0.38.1-1) unstable; urgency=medium

  * New upstream version 0.38.1
  * Soname bump rename package to libfilezilla29

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 23 Jul 2022 11:28:21 +0100

libfilezilla (0.38.0-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 14 Jul 2022 13:56:17 +0100

libfilezilla (0.38.0-1) unstable; urgency=medium

  * New upstream version 0.38.0
  * Soname bump rename package to libfilezilla28
  * Update Standards-Version to 4.6.1.0 - No changes required

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 12 Jul 2022 08:59:36 +0100

libfilezilla (0.37.2-1) unstable; urgency=medium

  * New upstream version 0.37.2

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 30 Apr 2022 17:02:09 +0100

libfilezilla (0.37.1-2) unstable; urgency=medium

  * Correct soanme bump back to libfilezilla25

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 09 Apr 2022 18:05:32 +0100

libfilezilla (0.37.1-1) unstable; urgency=medium

  * New upstream version 0.37.1
  * Soname bump rename package to libfilezilla26

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 09 Apr 2022 07:30:43 +0100

libfilezilla (0.37.0-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 07 Apr 2022 05:11:45 +0100

libfilezilla (0.37.0-1) unstable; urgency=medium

  * New upstream version 0.37.0
  * Soname bump rename package to libfilezilla25

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 03 Apr 2022 09:41:09 +0100

libfilezilla (0.36.0-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 12 Feb 2022 08:39:20 +0000

libfilezilla (0.36.0-1) unstable; urgency=medium

  * New upstream version 0.36.0
  * Soname bump rename package to libfilezilla24
  * Update d/copyright date and data

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 06 Feb 2022 20:56:35 +0000

libfilezilla (0.35.0-2) unstable; urgency=medium

  * Remove additional whitespace from d/control
  * Source only upload for migration to testing

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 04 Jan 2022 18:47:14 +0000

libfilezilla (0.35.0-1) unstable; urgency=medium

  * New upstream version 0.35.0
  * Soname bump rename package to libfilezilla23
  * Add d/source/lintian-overrides for issues we can nothing about:
    libfilezilla source: debian-watch-does-not-check-gpg-signature
    libfilezilla source: very-long-line-length-in-source-file

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 21 Dec 2021 10:10:03 +0000

libfilezilla (0.34.2-3) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 21 Dec 2021 05:01:07 +0000

libfilezilla (0.34.2-2) unstable; urgency=medium

  * Moved archicture independent files to new libfilezilla-common package
    making upgrades smoother (Closes: #998450)

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 13 Dec 2021 15:59:54 +0000

libfilezilla (0.34.2-1) unstable; urgency=medium

  * New upstream version 0.34.2
  * Soname bump rename package to libfilezilla22

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 27 Oct 2021 08:30:17 +0100

libfilezilla (0.34.1-1) unstable; urgency=medium

  * New upstream version 0.34.1
  * Update Standards-Version to 4.6.0.1 - No changes required
  * Change maintainer to myself

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 20 Oct 2021 09:50:57 +0100

libfilezilla (0.34.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.34.0
  * Update libgnutls28-dev Build-Depends to >= 3.7.0
  * Soname bump rename package to libfilezilla21

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 12 Oct 2021 07:33:52 +0100

libfilezilla (0.32.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.32.0
  * Soname bump rename package to libfilezilla19

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 16 Sep 2021 18:15:55 +0100

libfilezilla (0.31.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.31.0
  * Soname bump rename package to libfilezilla16

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 28 Jul 2021 19:26:29 +0100

libfilezilla (0.30.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.30.0
  * Soname bump rename package to libfilezilla15

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 10 Jul 2021 05:42:01 +0100

libfilezilla (0.28.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.28.0
  * d/copyright: Add 'Upstream-Contact'
  * Removed no longer needed: d/patches/01-libfilezilla-gcc11.patch

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 04 May 2021 23:04:10 +0100

libfilezilla (0.27.1-2) experimental; urgency=medium

  * Team upload.
  * Fix FTBS with gcc11. (Closes: #984101)

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 24 Apr 2021 13:46:00 +0100

libfilezilla (0.27.1-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.27.1
  * Soname bump rename package to libfilezilla12
  * Made libfilezilla12 Multi-Arch: same - Suggested by multiarch hinter
  * Made libfilezilla-dev Multi-Arch: same - Suggested by multiarch hinter
  * d/control: Remove all Breaks

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 20 Mar 2021 10:38:22 +0000

libfilezilla (0.26.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.26.0
  * Update Standards-Version to 4.5.1 - No changes required
  * Soname bump rename runtime package to libfilezilla11

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 17 Dec 2020 14:48:06 +0000

libfilezilla (0.25.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.25.0

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 19 Oct 2020 08:41:18 +0100

libfilezilla (0.24.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.24.1
  * Add 'debian/upstream/metadata'

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 24 Aug 2020 11:20:46 +0100

libfilezilla (0.23.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.23.0
  * Add hardening
  * Use override_dh_auto_install and remove .la file(s)
  * Bump std-version to 4.5.0, no changes required
  * Bump debhelper-compat to 13
  * Add Rules-Requires-Root: no

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 30 Jul 2020 21:03:46 +0100

libfilezilla (0.19.3-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Import the new release on git

  [ Phil Wyett ]
  * Team upload
  * New upstream version 0.19.3

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 23 Dec 2019 20:28:17 +0000

libfilezilla (0.18.2-4) unstable; urgency=medium

  * Team upload
  * Bump std-version to 4.4.1, no changes required
  * Switch to new debhelper-compat 12 notation
  * Break filezilla << 3.45.1-1 (Closes: #943433)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Oct 2019 12:15:45 +0200

libfilezilla (0.18.2-3) unstable; urgency=medium

  * Add latomic to fix link failures on some architectures
    such as armel, mipsel, m68k, powerpc, sh4

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Oct 2019 23:59:12 +0200

libfilezilla (0.18.2-2) unstable; urgency=medium

  * Break filezilla <= 3.39.0-2, to avoid crashes due to changes in symbol
    files (Closes: #941193)
    Don't use << of the next version, since 3.39.0-2 is already on stable, and
    as simple binNMU will make it work with the current libfilezilla.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Oct 2019 23:34:15 +0200

libfilezilla (0.18.2-1) unstable; urgency=medium

  * New upstream release
  * Added libgnutls28-dev build-dep
  * Updated Standards-Version to 4.4.0, no change needed
  * Updated dh compat to 12
  * debian/libfilezilla0.install: include translations

 -- Adrien Cunin <adri2000@ubuntu.com>  Mon, 23 Sep 2019 09:38:28 +0200

libfilezilla (0.15.1-1) unstable; urgency=medium

  * New upstream release
  * Build-dep on nettle-dev (>= 3.1)
  * debian/watch: use https

 -- Adrien Cunin <adri2000@ubuntu.com>  Mon, 07 Jan 2019 11:23:52 +0100

libfilezilla (0.12.3-1) unstable; urgency=medium

  * New upstream release
  * Updated Vcs-* URLs with Salsa ones

 -- Adrien Cunin <adri2000@ubuntu.com>  Fri, 15 Jun 2018 15:18:47 +0200

libfilezilla (0.11.0-1) unstable; urgency=medium

  * Team upload
  * Bump std-version to 4.1.1
  * New upstream version 0.11.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 29 Oct 2017 12:39:47 +0100

libfilezilla (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * Update watch file
  * New upstream version 0.10.0
  * Add pkg-config from <rene@debian.org> (Closes: #862125)
  * Bump std-version to 4.0.0, no changes required
  * Bump autoreconf to 10
  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Jul 2017 09:54:59 +0200

libfilezilla (0.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Adrien Cunin <adri2000@ubuntu.com>  Tue, 17 Jan 2017 16:13:46 +0100

libfilezilla (0.7.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Sep 2016 10:56:33 +0200

libfilezilla (0.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Adrien Cunin <adri2000@ubuntu.com>  Thu, 28 Jul 2016 11:44:04 +0200

libfilezilla (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * Use dh_makeshlibs -V so that packages built against libfilezilla get a
    correct versioned dependency
  * Fixed libfilezilla0 description: it does not include the static library

 -- Adrien Cunin <adri2000@ubuntu.com>  Tue, 26 Jul 2016 15:16:05 +0200

libfilezilla (0.5.3-1) unstable; urgency=medium

  * New upstream release
  * Updated Standards-Version to 3.9.8, no change needed

 -- Adrien Cunin <adri2000@ubuntu.com>  Wed, 06 Jul 2016 16:07:41 +0200

libfilezilla (0.4.0.1-1) unstable; urgency=low

  * Initial release (Closes: #815763)

 -- Adrien Cunin <adri2000@ubuntu.com>  Wed, 17 Feb 2016 16:04:03 +0100
